package org.lantsovanton.movers;

import org.lantsovanton.abstraction.model.Factory;
import org.lantsovanton.abstraction.model.ICoordinate;
import org.lantsovanton.abstraction.model.IMove;
//import org.lantsovanton.abstraction.model.impl.Coordinate;

public class AttaxMove implements IMove {
    private int myPlayer;
	private ICoordinate[] myArray; 
	private Factory myFactory = new Factory();
	
	public AttaxMove( int player ){
		myPlayer = player;
		myArray =  new ICoordinate[0];
	}
	
	public void add( int x, int y ){
		ICoordinate[] array = new ICoordinate[ myArray.length + 1 ];
		for( int i=0; i <  myArray.length; i++ ){
			array[i] = myArray[i];
		}
		myArray = array;
		myArray[ myArray.length-1 ] = myFactory.initialCoordinate( x, y );
	}
	
	public int getPlayer() {
		return myPlayer;
	}
	
	public int getLength(){
		return myArray.length;
	}
	
	public ICoordinate get(int i){
		return myArray[i];
	}
	
	public void add( ICoordinate coordinate ){
		ICoordinate[] array = new ICoordinate[ myArray.length + 1 ];
		for( int i=0; i <  myArray.length; i++ ){
			array[i] = myArray[i];
		}
		myArray = array;
		myArray[ myArray.length-1 ] =  coordinate;
	}
	
	public String toString(){
		String result="" + myPlayer ;
		for( int i = 0; i < myArray.length; i++  ){
			result += myArray[i];
		}
		return result;
	}

	public boolean isSimple() {
	
		return false;
	}

	public boolean isPsevdoMove() {
		
		return false;
	}
	
	
	
	

}
